Documentation

Key Results

Update key result

Update key result progress, target, or status

ProductionStagingUAT
PUThttps://ankiren.com/api/me/okr/key-results/{id}

Parameters

Path Parameters

  • idintegerpathRequired

    Key result ID

Request Body

Bắt buộc.

  • titlestring
  • targetValuenumber?
  • currentValuenumber
  • unitstring?
  • sortOrderinteger
  • status"active" | "completed" | "cancelled"

    Status of the OKR item

application/json
{
  "title": "string",
  "targetValue": 0,
  "currentValue": 0,
  "unit": "string",
  "sortOrder": 0,
  "status": "active"
}

Responses

200 · Key result updated

  • keyResultOkrKeyResult
    • idinteger
    • objectiveIdinteger
    • userIdstring
    • titlestring
    • targetValuenumber?

      Target value for quantitative KRs

    • currentValuenumber

      Current progress value

    • unitstring?

      Unit of measurement

    • sortOrderinteger
    • status"active" | "completed" | "cancelled"

      Status of the OKR item

    • createdAtstring<date-time>
      format: date-time
    • updatedAtstring<date-time>
      format: date-time
application/json
{
  "keyResult": {
    "id": 0,
    "objectiveId": 0,
    "userId": "string",
    "title": "string",
    "targetValue": 0,
    "currentValue": 0,
    "unit": "string",
    "sortOrder": 0,
    "status": "active",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  }
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X PUT 'https://ankiren.com/api/me/okr/key-results/{id}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "targetValue": 0,
  "currentValue": 0,
  "unit": "string",
  "sortOrder": 0,
  "status": "active"
}'